> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Linked Assistants With Agent



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json get /api/v1/user/linked_assistants_with_agent/
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/user/linked_assistants_with_agent/:
    get:
      tags:
        - User
      summary: Linked Assistants With Agent
      operationId: >-
        linked_assistants_with_agent_api_v1_user_linked_assistants_with_agent__get
      parameters:
        - name: agent_user_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Agent User Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/IGetResponsePaginated_AgentAssistantMetadata_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IGetResponsePaginated_AgentAssistantMetadata_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: ''
        meta:
          additionalProperties: true
          type: object
          title: Meta
          default: {}
        data:
          $ref: '#/components/schemas/PageBase_AgentAssistantMetadata_'
      type: object
      required:
        - data
      title: IGetResponsePaginated[AgentAssistantMetadata]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PageBase_AgentAssistantMetadata_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/AgentAssistantMetadata'
          type: array
          title: Items
        total:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Total
        page:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Page
        size:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Size
        pages:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Pages
        previous_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Previous Page
          description: Page number of the previous page
        next_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Page
          description: Page number of the next page
      type: object
      required:
        - items
        - total
        - page
        - size
      title: PageBase[AgentAssistantMetadata]
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AgentAssistantMetadata:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        assistant_type:
          type: string
          title: Assistant Type
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        data_sources_count:
          type: integer
          title: Data Sources Count
        total_word_count:
          type: integer
          title: Total Word Count
        intents_count:
          type: integer
          title: Intents Count
        has_human_agent:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Has Human Agent
      type: object
      required:
        - id
        - assistant_type
        - name
        - description
        - data_sources_count
        - total_word_count
        - intents_count
        - has_human_agent
      title: AgentAssistantMetadata
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````